Index: trunk/Include/OAIdl.ab
===================================================================
--- trunk/Include/OAIdl.ab	(revision 303)
+++ trunk/Include/OAIdl.ab	(revision 478)
@@ -2,12 +2,4 @@
 ' 本来はOAIdl.idlから生成するのが正当ですが、
 ' これは手動で移植したものです。
-
-#ifndef _INC_OAIDL_AB
-#define _INC_OAIDL_AB
-
-'#ifndef COM_NO_WINDOWS_H
-#require <windows.sbp>
-#require <ole2.ab>
-'#endif /*COM_NO_WINDOWS_H*/
 
 #require <objidl.sbp>
@@ -777,5 +769,5 @@
 
 Type /* [wire_marshal] */ CLEANLOCALSTORAGE
-	pInterface As *IUnknown
+	pInterface As IUnknown
 	pStorage As VoidPtr
 	flags As DWord
@@ -823,5 +815,5 @@
 		/* [in] */ wMinorVerNum As Word) As HRESULT
 	Function AddRefTypeInfo(
-		/* [in] */ pTInfo As *ITypeInfo,
+		/* [in] */ TInfo As ITypeInfo,
 		/* [in] */ByRef hRefType As HREFTYPE) As HRESULT
 	Function AddFuncDesc(
@@ -1037,5 +1029,5 @@
 		/* [in] */ iTInfo As DWord,
 		/* [in] */ lcid As LCID,
-		/* [out] */ ByRef pTInfo As *ITypeInfo) As HRESULT
+		/* [out] */ ByRef TInfo As ITypeInfo) As HRESULT
 	Function GetIDsOfNames(
 		/* [in] */ ByRef riid As IID,
@@ -1078,5 +1070,5 @@
 	Function Reset() As HRESULT
 	Function Clone(
-		/* [out] */ ByRef pEnum As *IEnumVARIANT) As HRESULT
+		/* [out] */ ByRef enum_ As IEnumVARIANT) As HRESULT
 
 End Interface
@@ -1105,5 +1097,5 @@
     lpfuncdesc As *FUNCDESC
     lpvardesc As *VARDESC
-    lptcomp As *ITypeComp
+    lptcomp As ITypeComp
 End Union
 */
@@ -1123,5 +1115,5 @@
 		/* [in] */ HashVal As DWord,
 		/* [in] */ wFlags As Word,
-		/* [out] */ ByRef pTInfo As *ITypeInfo,
+		/* [out] */ ByRef TInfo As ITypeInfo,
 		/* [out] */ ByRef DescKind As DESCKIND,
 		/* [out] */ ByRef BindPtr As BINDPTR) As HRESULT
@@ -1130,6 +1122,6 @@
 		/* [in] */ szName As LPOLESTR,
 		/* [in] */ HashVal As DWord,
-		/* [out] */ ByRef pTInfo As *ITypeInfo,
-		/* [out] */ ByRef pTComp As *ITypeComp) As HRESULT
+		/* [out] */ ByRef TInfo As ITypeInfo,
+		/* [out] */ ByRef TComp As ITypeComp) As HRESULT
 End Interface
 
@@ -1333,5 +1325,5 @@
 	Function GetTypeInfo(
 		/* [in] */ index As DWord,
-		/* [out] */ ByRef pTInfo As *ITypeInfo) As HRESULT
+		/* [out] */ ByRef TInfo As ITypeInfo) As HRESULT
 	Function GetTypeInfoType(
 		/* [in] */ index As DWord,
@@ -1339,9 +1331,9 @@
 	Function GetTypeInfoOfGuid(
 		/* [in] */ ByRef guid As GUID,
-		/* [out] */ ByRef pTInfo As *ITypeInfo) As HRESULT
+		/* [out] */ ByRef TInfo As ITypeInfo) As HRESULT
 	Function /* [local] */ GetLibAttr(
-		/* [out] */ ByRef pTLibAttr As *TLIBATTR) As HRESULT
+		/* [out] */ ByRef TLibAttr As TLIBATTR) As HRESULT
 	Function GetTypeComp(
-		/* [out] */ ByRef ppTComp As *ITypeComp) As HRESULT
+		/* [out] */ ByRef TComp As ITypeComp) As HRESULT
 	Function /* [local] */ GetDocumentation(
 		/* [in] */ index As Long,
@@ -1357,5 +1349,5 @@
 		/* [out][in] */ szNameBuf As LPOLESTR,
 		/* [in] */ lHashVal As DWord,
-		/* [length_is][size_is][out] */ ppTInfo As **ITypeInfo,
+		/* [length_is][size_is][out] */ pTInfo As *ITypeInfo,
 		/* [length_is][size_is][out] */ rgMemId As *MEMBERID,
 		/* [out][in] */ ByRef cFound As Word) As HRESULT
@@ -1425,10 +1417,10 @@
 	Function RequestTypeChange(
 		/* [in] */ changeKind As CHANGEKIND,
-		/* [in] */ pTInfoBefore As ITypeInfo,
+		/* [in] */ TInfoBefore As ITypeInfo,
 		/* [in] */ pStrName As LPOLESTR,
 		/* [out] */ ByRef fCancel As Long) As HRESULT
 	Function AfterTypeChange(
 		/* [in] */ changeKind As CHANGEKIND,
-		/* [in] */ pTInfoAfter As *ITypeInfo,
+		/* [in] */ TInfoAfter As ITypeInfo,
 		/* [in] */ pStrName As LPOLESTR) As HRESULT
 End Interface
@@ -1525,7 +1517,7 @@
 
 	Function CreateFromTypeInfo(
-		/* [in] */ pTypeInfo As *ITypeInfo,
+		/* [in] */ TypeInfo As ITypeInfo,
 		/* [in] */ ByRef riid As IID,
-		/* [iid_is][out] */ ByRef pv As *IUnknown) As HRESULT
+		/* [iid_is][out] */ ByRef pv As IUnknown) As HRESULT
 End Interface
 
@@ -1620,5 +1612,5 @@
 		/* [length_is][size_is][out] */ rgBstrNames As *BSTR) As HRESULT
 	Function IsMatchingType(
-		/* [in] */ pRecordInfo As *IRecordInfo) As BOOL
+		/* [in] */ RecordInfo As IRecordInfo) As BOOL
 	Function RecordCreate() As VoidPtr
 	Function RecordCreateCopy(
@@ -1678,3 +1670,2 @@
 #endif 	/* __IPropertyBag_INTERFACE_DEFINED__ */
 
-#endif '_INC_OAIDL_AB
